wiki:InstalacionVpn

Pasos para la instalacion de la VPN del Firefox para la GVA

  • Hay que instalarse el firefox de 32 bits, tanto si estas en 64 como si estas en 32 bits
       sudo apt-get install firefox:i386
    
  • Luego tienes que tener instalado xterm, icedtea-plugin, icedtea-netx, openjdk-8-jre, openjdk-8-jre-headless. Todos de 32 bits, y En especial no tener la version de 64 del icedtea-netx instalada
       sudo apt-get install xterm icedtea-plugin:i386 icedtea-netx:i386 openjdk-8-jre:i386 openjdk-8-jre-headless:i386
       sudo apt-get purge icedtea-netx:amd64
    

Hay que asegurarse la alternativa al mozilla-javaplugin.so sea el icedtea, y que ademas el java apunte al openjdk de i386. Este ultimo , en la ultima revision era /usr/lib/jvm/java-8-openjdk-i386/jre/bin/java, y el problema es que el firefox/juniper buscan una cadena en concreto : "java version ....". El commando devuelve openjdk version. La solucion es hacerle un wrapper que de la cadena de la version que toca pero poniendo java version, y luego lanzar el comando. El contenido del script es actualmente :

#!/bin/sh

echo 'java version "1.8.0_91"'
/usr/lib/jvm/java-8-openjdk-i386/jre/bin/java.bak $@

Last modified 15 months ago Last modified on Aug 2, 2016, 10:50:12 AM